Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4652)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4653)
@@ -10736,6 +10818,6 @@
           CASE ( 'rtm_rad_inswref' )
 !--           array of sw radiation falling to surface from reflections
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfinswref_av(isurf) = surfinswref_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10744,6 +10826,6 @@
           CASE ( 'rtm_rad_inlwdif' )
 !--           array of sw radiation falling to surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfinlwdif_av(isurf) = surfinlwdif_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10752,6 +10834,6 @@
           CASE ( 'rtm_rad_inlwref' )
 !--           array of lw radiation falling to surface from reflections
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfinlwref_av(isurf) = surfinlwref_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10760,6 +10842,6 @@
           CASE ( 'rtm_rad_outsw' )
 !--           array of sw radiation emitted from surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfoutsw_av(isurf) = surfoutsw_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10768,6 +10850,6 @@
           CASE ( 'rtm_rad_outlw' )
 !--           array of lw radiation emitted from surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfoutlw_av(isurf) = surfoutlw_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10776,6 +10858,6 @@
           CASE ( 'rtm_rad_ressw' )
 !--           array of residua of sw radiation absorbed in surface after last reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfins_av(isurf) = surfins_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -10784,6 +10866,6 @@
           CASE ( 'rtm_rad_reslw' )
 !--           array of residua of lw radiation absorbed in surface after last reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                  IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+              DO isurf = 1, nsurfl
+                  IF ( surfl(id,isurf) == idsint )  THEN
                       surfinl_av(isurf) = surfinl_av(isurf) / REAL( average_count_3d, kind=wp )
                   ENDIF
@@ -11354,5 +11436,5 @@
 
     CHARACTER (len=varnamelength)                   :: var, surfid
-    INTEGER(iwp)                                    :: ids,idsint_u,idsint_l,isurf,isvf,isurfs,isurflt,ipcgb
+    INTEGER(iwp)                                    :: ids,idsint,isurf,isvf,isurfs,isurflt,ipcgb
     INTEGER(iwp)                                    :: is, js, ks, istat
 
@@ -11378,6 +11460,5 @@
            IF ( TRIM(var(k-j+1:k)) == TRIM(dirname(i)) )  THEN
               ids = i
-              idsint_u = dirint_u(ids)
-              idsint_l = dirint_l(ids)
+              idsint = dirint(ids)
               var = var(:k-j)
               EXIT
@@ -11596,6 +11677,6 @@
       CASE ( 'rtm_rad_net' )
 !--     array of complete radiation balance
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = &
@@ -11609,6 +11690,6 @@
       CASE ( 'rtm_rad_insw' )
 !--      array of sw radiation falling to surface after i-th reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                  local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinsw(isurf)
@@ -11621,6 +11702,6 @@
       CASE ( 'rtm_rad_inlw' )
 !--      array of lw radiation falling to surface after i-th reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinlw(isurf)
@@ -11633,6 +11714,6 @@
       CASE ( 'rtm_rad_inswdir' )
 !--      array of direct sw radiation falling to surface from sun
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinswdir(isurf)
@@ -11645,6 +11726,6 @@
       CASE ( 'rtm_rad_inswdif' )
 !--      array of difusion sw radiation falling to surface from sky and borders of the domain
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinswdif(isurf)
@@ -11657,6 +11738,6 @@
       CASE ( 'rtm_rad_inswref' )
 !--      array of sw radiation falling to surface from reflections
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = &
@@ -11670,6 +11751,6 @@
       CASE ( 'rtm_rad_inlwdif' )
 !--      array of difusion lw radiation falling to surface from sky and borders of the domain
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinlwdif(isurf)
@@ -11682,6 +11763,6 @@
       CASE ( 'rtm_rad_inlwref' )
 !--      array of lw radiation falling to surface from reflections
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinlw(isurf) - surfinlwdif(isurf)
@@ -11694,6 +11775,6 @@
       CASE ( 'rtm_rad_outsw' )
 !--      array of sw radiation emitted from surface after i-th reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfoutsw(isurf)
@@ -11706,6 +11787,6 @@
       CASE ( 'rtm_rad_outlw' )
 !--      array of lw radiation emitted from surface after i-th reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfoutlw(isurf)
@@ -11718,6 +11799,6 @@
       CASE ( 'rtm_rad_ressw' )
 !--      average of array of residua of sw radiation absorbed in surface after last reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfins(isurf)
@@ -11730,6 +11811,6 @@
       CASE ( 'rtm_rad_reslw' )
 !--      average of array of residua of lw radiation absorbed in surface after last reflection
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                IF ( av == 0 )  THEN
                   local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = surfinl(isurf)
@@ -11838,6 +11919,6 @@
 !
 !--      sky view factor
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = skyvf(isurf)
             ENDIF
@@ -11847,6 +11928,6 @@
 !
 !--      sky view factor
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == ids )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = skyvft(isurf)
             ENDIF
@@ -11866,5 +11947,5 @@
 
             IF ( surf(ix,isurfs) == is  .AND.  surf(iy,isurfs) == js  .AND. surf(iz,isurfs) == ks  .AND. &
-                 (surfl(id,isurflt) == idsint_u .OR. surfl(id,isurflt) == idsint_l ) ) THEN
+                 surfl(id,isurflt) == idsint ) THEN
 !
 !--            correct source surface
@@ -11876,6 +11957,6 @@
 !
 !--      surface albedo
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = albedo_surf(isurf)
             ENDIF
@@ -11885,6 +11966,6 @@
 !
 !--      surface emissivity, weighted average
-         DO isurf = dirstart(ids), dirend(ids)
-            IF ( surfl(id,isurf) == idsint_u  .OR.  surfl(id,isurf) == idsint_l )  THEN
+         DO isurf = 1, nsurfl
+            IF ( surfl(id,isurf) == idsint )  THEN
                local_pf(surfl(ix,isurf),surfl(iy,isurf),surfl(iz,isurf)) = emiss_surf(isurf)
             ENDIF
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4652)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4653)
@@ -362,14 +362,9 @@
                force_radiation_call,                                                               &
                id,                                                                                 &
-               ieast_l,                                                                            &
-               ieast_u,                                                                            &
-               inorth_l,                                                                           &
-               inorth_u,                                                                           &
-               isouth_l,                                                                           &
-               isouth_u,                                                                           &
-               iup_l,                                                                              &
-               iup_u,                                                                              &
-               iwest_l,                                                                            &
-               iwest_u,                                                                            &
+               ieast,                                                                              &
+               inorth,                                                                             &
+               isouth,                                                                             &
+               iup,                                                                                &
+               iwest,                                                                              &
                nz_urban_b,                                                                         &
                nz_urban_t,                                                                         &
@@ -1343,5 +1338,5 @@
     INTEGER(iwp), PARAMETER                            ::  nd = 5                                  !< number of directions
     CHARACTER(LEN=6), DIMENSION(0:nd-1), PARAMETER     ::  dirname = (/ '_roof ', '_south', '_north', '_west ', '_east ' /)
-    INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         ::  dirint = (/ iup_u, isouth_u, inorth_u, iwest_u, ieast_u /)
+    INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         ::  dirint = (/ iup, isouth, inorth, iwest, ieast /)
 
 
@@ -2460,5 +2455,5 @@
 
     INTEGER(iwp), PARAMETER                            ::  nd = 5  !< number of directions
-    INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         ::  dirint =  (/    iup_u, isouth_u, inorth_u,  iwest_u,  ieast_u /)  !<
+    INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         ::  dirint =  (/      iup,   isouth,   inorth,    iwest,    ieast /)  !<
     INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         ::  diridx =  (/       -1,        1,        0,        3,        2 /)
                                                            !< index for surf_*_v: 0:3 = (North, South, East, West)
@@ -2531,5 +2526,5 @@
 !
 !--       Array of surface height (z)
-          IF ( idsint == iup_u )  THEN
+          IF ( idsint == iup )  THEN
              DO  m = 1, surf_usm_h%ns
                 i = surf_usm_h%i(m)
@@ -2551,5 +2546,5 @@
 !
 !--       Surface category
-          IF ( idsint == iup_u )  THEN
+          IF ( idsint == iup )  THEN
              DO  m = 1, surf_usm_h%ns
                 i = surf_usm_h%i(m)
@@ -2571,5 +2566,5 @@
 !
 !--       Transmissivity window tiles
-          IF ( idsint == iup_u )  THEN
+          IF ( idsint == iup )  THEN
              DO  m = 1, surf_usm_h%ns
                 i = surf_usm_h%i(m)
@@ -2592,5 +2587,5 @@
 !--       Array of sensible heat flux from surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2609,5 +2604,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2632,5 +2627,5 @@
 !--       Array of latent heat flux from surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2649,5 +2644,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2671,5 +2666,5 @@
 !--       Array of latent heat flux from vegetation surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2688,5 +2683,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2710,5 +2705,5 @@
 !--       Array of latent heat flux from surfaces with liquid
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2727,5 +2722,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2749,5 +2744,5 @@
 !--       Array of heat flux from ground (land, wall, roof)
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2766,5 +2761,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2788,5 +2783,5 @@
 !--       Array of heat flux from window ground (land, wall, roof)
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2805,5 +2800,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2827,5 +2822,5 @@
 !--       Array of heat flux from green ground (land, wall, roof)
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2844,5 +2839,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2866,5 +2861,5 @@
 !--       Array of heat flux from indoor ground (land, wall, roof)
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2883,5 +2878,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2905,5 +2900,5 @@
 !--       Array of heat flux from indoor window ground (land, wall, roof)
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2922,5 +2917,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2944,5 +2939,5 @@
 !--       Surface temperature for surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2961,5 +2956,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -2983,5 +2978,5 @@
 !--       Surface temperature for window surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3001,5 +2996,5 @@
 
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3025,5 +3020,5 @@
 !--       Surface temperature for green surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3043,5 +3038,5 @@
 
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3067,5 +3062,5 @@
 !--       Near surface temperature for whole surfaces
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3086,5 +3081,5 @@
 
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3109,5 +3104,5 @@
 !--       Wall temperature for  iwl layer of walls and land
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3126,5 +3121,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3148,5 +3143,5 @@
 !--       Window temperature for iwl layer of walls and land
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3165,5 +3160,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3187,5 +3182,5 @@
 !--       Green temperature for  iwl layer of walls and land
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3204,5 +3199,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3226,5 +3221,5 @@
 !--       Soil water content for  iwl layer of walls and land
           IF ( av == 0 )  THEN
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
@@ -3237,5 +3232,5 @@
              ENDIF
           ELSE
-             IF ( idsint == iup_u )  THEN
+             IF ( idsint == iup )  THEN
                 DO  m = 1, surf_usm_h%ns
                    i = surf_usm_h%i(m)
